#include "xsurfacevertexinfo.h"

XSurfaceVertexInfo::XSurfaceVertexInfo()
    : XAsset()
    , mVertCount(4)
    , mVertsBlend()
{
    
}

void XSurfaceVertexInfo::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        qint32 vertBlendPtr;
        *aStream
            >> mVertCount[0]
            >> mVertCount[1]
            >> mVertCount[2]
            >> mVertCount[3]
            >> vertBlendPtr;

        if (vertBlendPtr == -1)
        {
            aStream->readRawData(mVertsBlend.data(), 2 * (mVertCount[0] + 3 * mVertCount[1] + 5 * mVertCount[2] + 7 * mVertCount[3]));
        }
    }
}

void XSurfaceVertexInfo::Clear()
{
    
}
